import numpy as np
import matplotlib.pyplot as plt
from read_baseline_data import *
from NixFrame import *
from utility import *
from IPython import embed

# plot and data values
inch_factor = 2.54
data_dir = '../data'
dataset = '2018-11-09-ad-invivo-1'

# read eod and time of baseline
time, eod = read_baseline_eod(os.path.join(data_dir, dataset))

fig, ax = plt.subplots(figsize=(12/inch_factor, 8/inch_factor))
ax.plot(time[:1000], eod[:1000], linewidth = 2)
ax.set_xlabel('time [ms]', fontsize=14)
ax.set_ylabel('voltage [mV]', fontsize=14)
plt.xticks(fontsize=12)
plt.yticks(fontsize=12)
ax.spines["top"].set_visible(False)
ax.spines["right"].set_visible(False)
fig.tight_layout()
#plt.savefig('eod.pdf')
plt.show()